<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "post".
 *
 * @property integer $id
 * @property string $post_title
 * @property string $post_des
 */
class Post extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'post';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['post_title', 'post_des'], 'required'],
            [['post_title'], 'string', 'max' => 255],
            [['post_des'], 'string', 'max' => 200],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'post_title' => 'Post Title',
            'post_des' => 'Post Des',
        ];
    }
    public function getPostMetaData()
     {
         return $this->hasOne(Post_meta::className(), ['post_id' => 'id']);

     }
}
