<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\export\ExportMenu;
use yii\bootstrap\Nav;
use \yii\data\Sort;
use yii\bootstrap\Modal;

//echo Url::to(['/user/create'],TRUE);
$this->title = 'Orders';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="post-index">
    <h3><?= Html::encode($this->title) ?></h3>
       <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'layout' => "{items}\n{summary}\n{pager}",
        'emptyCell' => '-',
        'columns' => [
            'order_id',
            'billing_first_name',
            'billing_last_name',
            'billing_email',
            'billing_address',
            [
                'class' => 'yii\grid\ActionColumn',
                'template' => '{view}&nbsp;&nbsp;&nbsp;{delete}', 
                'buttons' => [
                'view' => function ($url,$model,$key) {
                      return Html::a('<span class="glyphicon glyphicon-eye-open"></span>',['product/order-view', 'id'=>$model['id']],['class' => 'view','data-pjax' => '0',]);
                    },
                'delete' => function ($url,$model,$key) {
                      return Html::a('<span class="glyphicon glyphicon-trash"></span>',['product/order-delete', 'id'=>$model['id']],['class' => 'delete','data-pjax' => '0',]);
                },
                ],
                //'template' => '{view}&nbsp;&nbsp;&nbsp;{delete}', 
            ],
            
        ],
    ]);
    ?>
</div>
