<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use frontend\models\Cart;
use yii\helpers\Url;
$cart = new Cart;
?>
<script>
    function updateCartItem(obj,id) {
        $.ajax({
        url:"<?php echo Url::to(['/cart/update']); ?>",
        data:'&id='+id+'&qty='+obj.value,
        success: function (data) {
            if(data == 'ok'){
                //alert(data);
                location.reload();
            } else {
                alert('Cart update failed, please try again.');
            }
         }
     });
  }
</script>
<body>
    <h3>Shopping Cart</h3>
    <table class="table" style="width: 100%;">
    <thead>
        <tr>
            <th>Product</th>
            <th>Price</th>
            <th>Quantity</th>
            <th>Subtotal</th>
            <th>&nbsp;</th>
        </tr>
    </thead>
    <tbody>
        <?php
        if($cart->total_items() > 0){
            $cartItems = $cart->contents();
            foreach($cartItems as $item){
        ?>
        <tr>
            <td><?php echo $item["name"]; ?></td>
            <td><?php echo '$'.$item["price"].' USD'; ?></td>
            <td><input type="number" class="form-control text-center" value="<?php echo $item["qty"]; ?>" onchange="updateCartItem(this, '<?php echo $item["rowid"]; ?>')"></td>
            <td><?php echo '$'.$item["subtotal"].' USD'; ?></td>
            <td>
                <a href="<?php echo Url::to(['/cart/remove'])?>&id=<?php echo $item["rowid"]; ?>" class="btn btn-danger" onclick="return confirm('Are you sure?')"><i class="glyphicon glyphicon-trash"></i></a>
            </td>
        </tr>
        <?php } } else { ?>
            <tr><td><p>Your cart is empty.....</p></td>
        <?php } ?>
    </tbody>
    <tfoot>
        <tr>
            <td><a href="<?php echo Url::to(['/site/product-list'])?>" class="btn btn-warning"><i class="glyphicon glyphicon-menu-left"></i> Continue Shopping</a></td>
            <td colspan="1"></td>
            <?php if($cart->total_items() > 0) { ?>
            <td class="text-center"><strong>Total <?php echo '$'.$cart->total().' USD'; ?></strong></td>
            <td><button onclick="javascript:return upddatedata();" value="update" disabled="disabled" class="btn btn-success btn-block" id ='updatecart'>Update Cart</button></td>
            <td><?= Html::a('Checkout'."<i class='glyphicon glyphicon-menu-right'></i> ", ['cart/checkout'], ['class' => 'btn btn-success btn-block']) ?></td>
            <?php } ?>
        </tr>
    </tfoot>
    </table>
</body>
</html>