<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

$this->title = "hi..".' '.ucfirst($model->username);
$this->params['breadcrumbs'][] = ['label' => 'Users', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

?>

<div class="country-view">
    <h1><?= Html::encode($this->title) ?></h1>
    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'first_name',
            'last_name',
            'birth_date',
            'gender',
            [
            'attribute'=>'Profile Pic',
            'value'=>Yii::getAlias('@commonimg') . '/uploads/' . $model->profile_pic,
            'format' => ['image',['width'=>'100','height'=>'100']],
            ],
              ],
          ]) ?>
</div>
