<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use \yii\data\Sort;
use yii\bootstrap\Modal;

$this->title = 'Category';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="post-index">
    <h3><?= Html::encode($this->title) ?></h3>
    <p>
        <?= Html::a('Add Category', ['create'], ['class' => 'btn btn-success']) ?>
    
        <?= Html::a('Export', ['excel'], ['class' => 'btn btn-success']) ?>
    </p>
       <?=
       GridView::widget([
           'dataProvider' => $dataProvider,
           'filterModel' => $searchModel,
           'layout' => "{items}\n{summary}\n{pager}",
           'emptyCell' => '-',
           'columns' => [
               'cat_id',
               'cat_name',
               'cat_description',
               [
                   'class' => 'yii\grid\ActionColumn',
                   'template' => '{view}&nbsp;&nbsp;&nbsp;{update} &nbsp;&nbsp;&nbsp;{delete}'
               ],
           ],
       ]);
    ?>
</div>
