<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\jui\DatePicker;
use yii\widgets\FileInput;

$this->title = 'Edit category';
$this->params['breadcrumbs'][] = ['label' => 'Category', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-create">

    <h3><?= Html::encode($this->title) ?></h3>

    <div class="col-lg-5">
        <?php
        $form = ActiveForm::begin([
                    'options' => ['enctype' => 'multipart/form-data',]]);
        ?>
        <?= $form->field($model, 'cat_name')->textInput(['maxlength' => true]) ?>
        <?= $form->field($model, 'cat_description')->textarea(['maxlength' => true]) ?>
        <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Add' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
        </div>
<?php ActiveForm::end(); ?>
    </div>
</div>

