<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use \yii\data\Sort;

/* @var $this yii\web\View */
/* @var $searchModel backend\models\PostSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Posts';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="post-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php $this->render('_search', ['model' => $searchModel]); ?>
    <p>
        <?= Html::a('Create Post', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
       <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'layout' => "{items}\n{pager}",
        //'filterPosition' => FILTER_POS_FOOTER,
        //'summary'=>'',
        //'showFooter'=>true,
        //'showHeader' => true,
         'emptyCell'=>'-',
         'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
//            [
//            'class' => 'yii\grid\ActionColumn',
//            'template' => '{view} {update} {delete} {link}',
//	'buttons' => [
//		'update' => function ($url,$model) {
//			return Html::a(
//				'<span class="glyphicon glyphicon-user"></span>', 
//				$url);
//		},
//		'link' => function ($url,$model,$key) {
//				return Html::a('Action', $url);
//		},    
//             ]   
//            ],
            'id',
            'post_title',
            'post_des',
            [
            'label' => 'Post Auther',
            'value' => 'postMetaData.post_auther',
            ],
           
            ['class' => 'yii\grid\ActionColumn',
             //'template' => '{view}'
                
            ],
        ],
    ]); ?>
</div>
