<?php
/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \common\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\helpers\Url;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="auth">
    <div class="auth-container">
        <div class="card">
            <div class="auth-content">
                <p class="text-xs-center">LOGIN TO CONTINUE</p>
                <?php $form = ActiveForm::begin(['id' => 'login-form']); ?>
                        <?= $form->field($model, 'email')->textInput(['autofocus' => true,'class' => 'form-control underlined']); ?>
                        <?= $form->field($model, 'password')->passwordInput(['class' => 'form-control underlined']) ?>
                        <?= $form->field($model, 'rememberMe')->checkbox(['class' => 'checkbox']) ?>
                          <?php echo Html::a('Forgot Password', ['/user/forgot-password'], ['class' => 'pull-right m-t-xs','tabindex'=>'5']); ?>
                        <?= Html::submitButton('Login', ['class' => 'btn btn-block btn-primary', 'name' => 'login-button']) ?>
                <?php ActiveForm::end(); ?>
            </div>
        </div>
    </div>
</div>