<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\jui\DatePicker;
use yii\widgets\FileInput;


$this->title = 'Add User';
$this->params['breadcrumbs'][] = ['label' => 'Users', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="col-lg-5">
        <?php
        $form = ActiveForm::begin([
                    'options' => ['enctype' => 'multipart/form-data',
                        'id' => 'usercreate',]]);
        ?>
        <?= $form->field($model, 'username')->textInput() ?>
         <?= $form->field($model, 'email') ?>
        <?= $form->field($model, 'password_hash')->passwordInput() ?>
        <?= $form->field($model, 'confirm_password')->passwordInput() ?>
        
        <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Add' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
        </div>
<?php ActiveForm::end(); ?>
    </div>
</div>

