<?php
namespace frontend\controllers;
use Yii;

use frontend\models\Cart;
use frontend\models\User;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
error_reporting(0);
if (!Yii::$app->user->isGuest) {
    
}
class CartController extends Controller
{
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }
    public function actionIndex() {
        if(isset($_GET['productId']) && $_GET['productId'] != '' && isset($_GET['qty']) && $_GET['qty'] != ''){
            $itemData = array(
            'rowid' => $_GET['productId'],
            'qty' => $_GET['qty']
        );
        $updateItem = $cartModel->updateitem($itemData);
        }
    }
    public function actionProductList()
    {
        $model = new Cart();
        $productArr = $model->getProductList();
        return $this->render('product', [
                    'productArr' => $productArr,
        ]);
    }
    public function actionAdd() {
        $model = new Cart();
        // echo $_POST["id"];exit;
       // $productID = $_REQUEST['id'];
        
//        if (isset($_GET['productId']) && $_GET['productId'] != '' && isset($_GET['qty']) && $_GET['qty'] != '') {
//            $itemData = array(
//                'rowid' => $_GET['productId'],
//                'qty' => $_GET['qty']
//            );
//            $updateItem = $model->updateitem($itemData);
//        }
        
            $productId = $_REQUEST["id"];
            $productItem = $model->getProductById($productId);
            //echo "<pre>";print_r($productItem);
            $itemData = array(
                'id' => $productItem['id'],
                'name' => $productItem['name'],
                'price' => $productItem['price'],
                'qty' => 1
            );
            $insertItem = $model->insertitem($itemData);
            //echo $insertItem;exit;
            return $this->redirect(['cart/product-list']);
            exit;
           
    }
    public function actionUpdate() {
        //echo $_REQUEST['id'];exit;
        $model = new Cart();
        if (!empty($_REQUEST['id'])) {
            $itemData = array(
                'rowid' => $_REQUEST['id'],
                'qty' => $_REQUEST['qty']
            );
            $updateItem = $model->updateitem($itemData);
            if ($updateItem != '') {
                echo "ok";
            }
        }
    }
    public function actionRemove() {
        //echo $_REQUEST['id'];exit;
        $model = new Cart();
        if ($_REQUEST['id'] == all) {
            $model->destroy();
        } else {
            $model = new Cart();
            if (!empty($_REQUEST['id'])) {
                $deleteItem = $model->remove($_REQUEST['id']);
            }
        }
        return $this->redirect(['cart/product-list']);
    }
    public function actionPlaceorder() {
        $model = new Cart();
        //echo $_SESSION['sessCustomerID'];exit;
        if ($model->total_items() > 0) {
            if ($placeOrder = $model->addplaceorder($model->total())) {
                if (($_REQUEST['billing_email'] != '' && $_REQUEST['billing_first_name'] != '' && $_REQUEST['billing_last_name'] != '')) {
                    $billingData = array('order_id'=> $placeOrder,'billing_first_name' => $_POST['billing_first_name'], 'billing_last_name' => $_REQUEST['billing_last_name'], 'billing_email' => $_REQUEST['billing_email'],'billing_address' => $_REQUEST['billing_address']);
                    $billingDataArr = $model->addbillingdata($billingData);
                    //echo "<pre>"; print_r($placeOrder); exit;
                    return $this->render('ordersuccess', [
                                'id' => $placeOrder,
                    ]);
                }
            }
        } else {
            return $this->redirect(['cart/product-list']);
        }
    }
    public function actionOrderSuccess() {
        return $this->render('ordersuccess', [
        ]);
    }
    public function actionCheckout() {
        $model = new User();
        return $this->render('checkout', [
           'model' => $model,
        ]);
    }
 
    public function actionDelete($id) {
        $this->findModel($id)->delete();
        return $this->redirect(['site/index']);
    }
    protected function findModel($id)
    {
        if (($model = Cart::findOne($id)) !== null) {
            return $model;
            //echo "<pre>";print_r($model);exit;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
}