<?php
use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model backend\models\User */

$this->title = "hi..".' '.ucfirst(Yii::$app->user->identity->username).' '."your contact details";
$this->params['breadcrumbs'][] = ['label' => 'ContactDetails', 'url' => ['/site/index']];
//$this->params['breadcrumbs'][] = $this->title;
?>
<div class="post-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>
    <?= DetailView::widget([
        'model' => $model,
            'attributes' => [
            'id',
            'address',
            [
                'label' => 'country',
                'value' => $model->getCountryName(),
            ],
            'state',
            'city',
            'zipcode',
            'phone',
        ],
    ]) ?>

</div>
