<?php
use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\ActiveForm;

$this->title = 'Products';
$this->params['breadcrumbs'][] = ['label' => 'Product', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="country-view">
    <h3><?= Html::encode($this->title) ?></h3>
</div>
<div class="container">
<!--    <div class="well well-sm">
        <strong>Category Title</strong>
        <div class="btn-group">
            <a href="#" id="list" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-th-list">
            </span>List</a> <a href="#" id="grid" class="btn btn-default btn-sm"><span
                class="glyphicon glyphicon-th"></span>Grid</a>
        </div>
    </div>-->

    <div id="products" class="row list-group">
        <?php
        if (!empty($productArr)) {
            foreach ($productArr as $product) {
                //echo "<pre>";print_r($product);  
                ?>
                <div class="item  col-xs-3 col-lg-3">
                    <div class="thumbnail">
                        <img class="group list-group-image" src="<?php echo Yii::getAlias('@commonimg') . '/uploads/products/' . $product['product_thumb']; ?>" alt="" />
                        <div class="caption">
                            <h4 class="group inner list-group-item-heading">
                                <?php echo ucwords($product['name']); ?>
                            </h4>
                            <p class="group inner list-group-item-text">
                                <?php echo $product['description']; ?>
                            </p>
                            <div class="row">
                                <div class="col-xs-12 col-md-6">
                                    <p class="lead">$<?php echo $product['price']; ?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
            }
        } else {
            echo "No product found";
        }
        ?>
    </div>
</div>